﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    ViewData["Title"] = "Create New Course Page";
}

<h2>Create New Course</h2>

<form asp-action="Create" method="post">
    <div class="row mt-5">
        <div class="col-md-6">
            
            <div class="form-group row">
                <label class="col-md-4" for="Title">Course Title:</label>
                <div class="col-md-8">
                    <input type="text" name="Title" class="form-control" />
                    <span @* asp-validation-for="Title" *@ class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-md-4" for="Stack">Stack:</label>
                <div class="col-md-8">
                    <select @* asp-for="Stack" *@class="form-select">
                        <option></option>
                        <option value="MERN">MERN Stack</option>
                        <option value="MEAN">MEAN Stack</option>
                        <option value="Django">Django Stack</option>
                        <option value="Rails">Rails</option>
                        <option value="LAMP">LAMP Stack</option>
                    </select>
                    <span @* asp-validation-for="Stack" *@ class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-md-4" for="Description">Description:</label>
                <div class="col-md-8">
                    <input type="text" name="Description" class="form-control" />
                    <span @* asp-validation-for="Description" *@ class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-md-4" for="Thumbnail">Thumbnail:</label>
                <div class="col-md-8">
                    <input type="text" name="Thumbnail" class="form-control" />
                    <span @* asp-validation-for="Thumbnail" *@ class="text-danger"></span>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-md-4" for="Price">Price:</label>
                <div class="col-md-8">
                    <input type="text" name="Price" class="form-control" />
                    <span @* asp-validation-for="Price" *@ class="text-danger"></span>
                </div>
            </div>

            <div class="col-md-12 offset-md-4 text-center mt-4">
                <div class="col-md-8">
                    <button type="submit" class="btn btn-secondary btn-block w-100">Create</button>
                </div>
            </div>


    </div>


</form>

